GETSID(2)

NAME
getsid - get session ID

LIBRARY
libc

SYNOPSIS
#include <unistd.h>
pid_t
getsid(pid_t pid);

DESCRIPTION
The getsid function returns the session ID of the process specified by pid. If pid is 0, the session ID of the calling process is returned. The session ID is defined as the process group ID of the process that is the session leader.

ERRORS
If an error occurs, getsid returns -1 and the global variable errno is set to indicate the error, as follows:

[ESRCH]
    No process can be found corresponding to that specified by pid.

SEE ALSO
getpgid(2), termios(4)

STANDARDS
The getsid() function conforms to xpg4.2.